<?php

use Silex\Router\Router;

require __DIR__ . '/../src/Silex/Config/SplClassLoader.php';
require __DIR__ . '/../src/Silex/Config/Config.php';

$loader = new SplClassLoader('Silex', __DIR__ . '/../src');
$loader->register();

$security = new \Silex\Controller\SecurityController();
$user = new \Silex\Controller\UserController();
$router = new Router($_SERVER['REQUEST_URI']);
$router->get('/^$/', [$user, 'index']);
$router->get('/^recent\/(?<page>\d+)$/', [$user, 'index']);
$router->get('/^news\/(?<id>\d+)$/', [$user, 'viewPost']);
$router->get('/^comments\/(?<id>[\w-]+)$/', [$user, 'viewPostComments']);
$router->match('/^login$/', [$security, 'login']);
$router->match('/^register$/', [$security, 'register']);
$router->run(new \Silex\DI\DI($router))->render($router, __DIR__ . '/../' . VIEW_PATH);
